#!/bin/sh

IPADDR=192.168.0.235
TYPE=g
MODE=r
FILE=""
HH=""

# p 上传文件，没有 p 表示下载（默认）
# f 文件名字
while getopts ":f:p" optname
do 
	case "$optname" in
		"p")
		    # echo "get option -p,value is $OPTARG"
			TYPE=p
			MODE=l
		;;
		"f")
			# echo "get option -f,value is $OPTARG"
			FILE=$OPTARG
		;;
		?)
        	printf "Usage:\nput file:getfile -t p -f filename\nget file:getfile -t g -f filename\n"
			exit 0
        ;;
		*)
        	printf "Usage *:\nput file:getfile -t p -f filename\nget file:getfile -t g -f filename\n"
			exit 0
        ;;
	esac
done

if [ -z $FILE ];then
	if [ $1 ];then
		FILE=$1
	fi
fi

if [ -z $FILE ];then
	printf "file name must be present."
fi

if [ MODE == "r" -a -f $FILE ] 
then
	printf "delete local file before download...\n"
	rm -f $FILE
fi

# printf "type=$TYPE,mode=$MODE,file=$FILE\n"

tftp -$TYPE -$MODE ${FILE} ${IPADDR}
if [ $? -eq 0 ];then
	chmod +x $FILE
fi 


